# ==============================================================================
#
# Copyright (C) 2022 Sophgo Technologies Inc.  All rights reserved.
#
# TPU-MLIR is licensed under the 2-Clause BSD License except for the
# third-party components.
#
# ==============================================================================
#
# automatically generated by /workspace/tpu-mlir/python/debugger/target_2260/xlsx_to_py.py
# time: 2023-12-21 07:07:42
# this file should not be changed except format.
# tiu_reg_fn: ./BM1690_TPU_TIU_Reg0.12.xlsx
# dma_reg_fn: ./GDMA_BM1690_DES_REG_12_21.xlsx

from typing import Dict, Type
import ctypes
from ..target_common import atomic_reg


class CONV_reg(atomic_reg):
    OP_NAME = "CONV"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sCONV_reg(atomic_reg):
    OP_NAME = "sCONV"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_rq", ctypes.c_uint64, 1),
        ("opd2_n_str", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("op_code", ctypes.c_uint64, 5),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("res0_addr", ctypes.c_uint64, 26),
        ("intr_en", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 16),
        ("opd0_w_str", ctypes.c_uint64, 16),
    ]

    cmd_short: int
    sym_range: int
    opt_opd4_const: int
    opt_opd5_const: int
    opt_relu: int
    opt_rq: int
    opd2_n_str: int
    opt_opd1_prec: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    pad_mode: int
    opt_res0_sign: int
    opt_opd2_prec: int
    pwr_step: int
    opt_res_add: int
    opt_kernel_rotate: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_const: int
    opt_opd2_const: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    opt_opd3_const: int
    short_opd0_str: int
    res0_addr: int
    intr_en: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_n_str: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_h: int
    opd1_w: int
    opd0_c_str: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res1_addr: int
    opd3_addr: int
    opd0_h_str: int
    opd0_w_str: int

    length: int = 512



class CONV_BW_reg(atomic_reg):
    OP_NAME = "CONV_BW"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sCONV_BW_reg(atomic_reg):
    OP_NAME = "sCONV_BW"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_rq", ctypes.c_uint64, 1),
        ("opd2_n_str", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("op_code", ctypes.c_uint64, 5),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("res0_addr", ctypes.c_uint64, 26),
        ("intr_en", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 16),
        ("opd0_w_str", ctypes.c_uint64, 16),
    ]

    cmd_short: int
    sym_range: int
    opt_opd4_const: int
    opt_opd5_const: int
    opt_relu: int
    opt_rq: int
    opd2_n_str: int
    opt_opd1_prec: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    pad_mode: int
    opt_res0_sign: int
    opt_opd2_prec: int
    pwr_step: int
    opt_res_add: int
    opt_kernel_rotate: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_const: int
    opt_opd2_const: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    opt_opd3_const: int
    short_opd0_str: int
    res0_addr: int
    intr_en: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_n_str: int
    opd0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_h: int
    opd1_w: int
    opd0_c_str: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res1_addr: int
    opd3_addr: int
    opd0_h_str: int
    opd0_w_str: int

    length: int = 512



class MM_reg(atomic_reg):
    OP_NAME = "MM"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("rsvd1", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    rsvd1: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sMM_reg(atomic_reg):
    OP_NAME = "sMM"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("sym_range", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 1),
        ("rsvd1", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_rq", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 3),
        ("rsvd3", ctypes.c_uint64, 8),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("rsvd4", ctypes.c_uint64, 1),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd5", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opd2_n_str", ctypes.c_uint64, 3),
        ("rsvd6", ctypes.c_uint64, 20),
        ("rsvd7", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("rsvd8", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("rsvd9", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    sym_range: int
    rsvd0: int
    rsvd1: int
    opt_relu: int
    opt_rq: int
    rsvd2: int
    rsvd3: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_res_add: int
    opt_left_tran: int
    opt_opd0_const: int
    opt_opd2_const: int
    rsvd4: int
    opt_res0_sign: int
    rsvd5: int
    pwr_step: int
    intr_en: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opd2_n_str: int
    rsvd6: int
    rsvd7: int
    res0_c: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_w: int
    rsvd8: int
    opd1_w: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    rsvd9: int

    length: int = 384



class MM2_reg(atomic_reg):
    OP_NAME = "MM2"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sMM2_reg(atomic_reg):
    OP_NAME = "sMM2"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_rq", ctypes.c_uint64, 1),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("rsvd1", ctypes.c_uint64, 2),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 2),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("opd2_n_str", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("res0_addr", ctypes.c_uint64, 25),
        ("intr_en", ctypes.c_uint64, 1),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    sym_range: int
    opt_opd4_const: int
    opt_opd5_const: int
    opt_relu: int
    opt_rq: int
    opt_opd2_prec: int
    opt_opd1_prec: int
    rsvd1: int
    opt_opd2_sign: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_res0_prec: int
    opt_res0_sign: int
    opd2_n_str: int
    pwr_step: int
    opt_opd2_const: int
    res0_c: int
    res0_w: int
    opd1_c: int
    opd1_w: int
    opt_opd0_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_res_add: int
    res0_addr: int
    intr_en: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int

    length: int = 256



class CMP_reg(atomic_reg):
    OP_NAME = "CMP"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("rsvd0", ctypes.c_uint64, 1),
        ("rsvd1", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    rsvd0: int
    rsvd1: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sCMP_reg(atomic_reg):
    OP_NAME = "sCMP"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 2),
        ("rsvd1", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("rsvd2", ctypes.c_uint64, 50),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    opt_opd3_const: int
    rsvd0: int
    rsvd1: int
    pwr_step: int
    intr_en: int
    opt_opd0_prec: int
    opt_opd2_prec: int
    short_opd0_str: int
    short_opd1_str: int
    rsvd2: int
    opt_opd2_sign: int
    opt_opd0_sign: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    res0_addr: int
    res1_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    opd3_addr: int

    length: int = 384



class SFU_reg(atomic_reg):
    OP_NAME = "SFU"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("rsvd0", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    rsvd0: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sSFU_reg(atomic_reg):
    OP_NAME = "sSFU"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("rsvd0", ctypes.c_uint64, 6),
        ("rsvd1", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opd2_n_str", ctypes.c_uint64, 2),
        ("rsvd2", ctypes.c_uint64, 8),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    rsvd0: int
    rsvd1: int
    pwr_step: int
    intr_en: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opd2_n_str: int
    rsvd2: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd1_n: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int

    length: int = 256



class VC_reg(atomic_reg):
    OP_NAME = "VC"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("rsvd1", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    rsvd1: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sVC_reg(atomic_reg):
    OP_NAME = "sVC"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opd2_n_str", ctypes.c_uint64, 3),
        ("res_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("res0_addr", ctypes.c_uint64, 32),
        ("rsvd1", ctypes.c_uint64, 23),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("rsvd2", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("rsvd3", ctypes.c_uint64, 64),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opd2_n_str: int
    res_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    res0_addr: int
    rsvd1: int
    opd0_addr: int
    rsvd2: int
    res0_c: int
    res0_w: int
    opd0_c: int
    opd0_w: int
    opd1_w: int
    opd1_addr: int
    opd2_addr: int
    rsvd3: int

    length: int = 384



class LIN_reg(atomic_reg):
    OP_NAME = "LIN"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sLIN_reg(atomic_reg):
    OP_NAME = "sLIN"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_rsv0", ctypes.c_uint64, 29),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opd0_sign", ctypes.c_uint64, 1),
        ("opd1_sign", ctypes.c_uint64, 1),
        ("opd2_sign", ctypes.c_uint64, 1),
        ("res0_sign", ctypes.c_uint64, 1),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd1_const: int
    opt_opd2_const: int
    opt_res0_prec: int
    opt_rsv0: int
    opt_opd0_prec: int
    opd0_sign: int
    opd1_sign: int
    opd2_sign: int
    res0_sign: int
    pwr_step: int
    intr_en: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int

    length: int = 288



class AR_reg(atomic_reg):
    OP_NAME = "AR"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sAR_reg(atomic_reg):
    OP_NAME = "sAR"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 2),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("opd2_n_str", ctypes.c_uint64, 3),
        ("rsvd1", ctypes.c_uint64, 6),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("res0_h_str", ctypes.c_uint64, 20),
        ("res0_w_str", ctypes.c_uint64, 20),
        ("opd0_h_str", ctypes.c_uint64, 20),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 3),
        ("opd0_w_str", ctypes.c_uint64, 20),
        ("opd1_h_str", ctypes.c_uint64, 20),
        ("opd1_w_str", ctypes.c_uint64, 20),
        ("rsvd3", ctypes.c_uint64, 4),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    tsk_opd_num: int
    sym_range: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    opd2_n_str: int
    rsvd1: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opt_opd2_sign: int
    rsvd2: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    rsvd3: int

    length: int = 512



class PorD_reg(atomic_reg):
    OP_NAME = "PorD"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sPorD_reg(atomic_reg):
    OP_NAME = "sPorD"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("sym_range", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_rq", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 11),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("opd2_n_str", ctypes.c_uint64, 3),
        ("rsvd2", ctypes.c_uint64, 11),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("intr_en", ctypes.c_uint64, 1),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
        ("rsvd3", ctypes.c_uint64, 64),
    ]

    cmd_short: int
    sym_range: int
    rsvd0: int
    opt_opd5_const: int
    opt_relu: int
    opt_rq: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    pad_mode: int
    opt_res0_sign: int
    opt_opd2_prec: int
    pwr_step: int
    opt_opd1_const: int
    opt_opd2_const: int
    opt_opd3_const: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    opd2_n_str: int
    rsvd2: int
    opt_opd2_sign: int
    intr_en: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_h: int
    opd0_w: int
    opd1_h: int
    opd1_w: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res1_addr: int
    opd3_addr: int
    rsvd3: int

    length: int = 512



class RQ_DQ_reg(atomic_reg):
    OP_NAME = "RQ&DQ"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sRQ_sDQ_reg(atomic_reg):
    OP_NAME = "sRQ&sDQ"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("sym_range", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 15),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("rsvd0", ctypes.c_uint64, 4),
        ("pwr_step", ctypes.c_uint64, 4),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opd2_n_str", ctypes.c_uint64, 6),
        ("rsvd1", ctypes.c_uint64, 1),
        ("res0_addr", ctypes.c_uint64, 26),
        ("opd0_addr", ctypes.c_uint64, 27),
        ("intr_en", ctypes.c_uint64, 1),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    sym_range: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd0_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    rsvd0: int
    pwr_step: int
    opt_opd1_const: int
    opt_opd0_prec: int
    opd2_n_str: int
    rsvd1: int
    res0_addr: int
    opd0_addr: int
    intr_en: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd1_addr: int
    opd2_addr: int

    length: int = 256



class SG_reg(atomic_reg):
    OP_NAME = "SG"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sSG_reg(atomic_reg):
    OP_NAME = "sSG"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("intr_en", ctypes.c_uint64, 1),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("rsvd0", ctypes.c_uint64, 4),
        ("pwr_step", ctypes.c_uint64, 4),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("res0_addr", ctypes.c_uint64, 29),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opd0_addr", ctypes.c_uint64, 29),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opd1_addr", ctypes.c_uint64, 29),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_opd3_const: int
    intr_en: int
    short_opd0_str: int
    rsvd0: int
    pwr_step: int
    opt_opd2_const: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_h: int
    opd0_w: int
    opd1_c: int
    opd1_w: int
    opt_res0_prec: int
    res0_addr: int
    opt_opd0_prec: int
    opd0_addr: int
    opt_opd1_prec: int
    opd1_addr: int
    opd2_addr: int
    res1_addr: int
    opd3_addr: int

    length: int = 384



class SGL_reg(atomic_reg):
    OP_NAME = "SGL"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sSGL_reg(atomic_reg):
    OP_NAME = "sSGL"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("rsvd0", ctypes.c_uint64, 3),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("intr_en", ctypes.c_uint64, 1),
        ("rsvd1", ctypes.c_uint64, 4),
        ("pwr_step", ctypes.c_uint64, 4),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("rsvd2", ctypes.c_uint64, 7),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("rsvd3", ctypes.c_uint64, 64),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    rsvd0: int
    opt_opd3_const: int
    intr_en: int
    rsvd1: int
    pwr_step: int
    opt_opd2_const: int
    opt_res0_prec: int
    opt_opd1_prec: int
    short_opd0_str: int
    rsvd2: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_h: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res1_addr: int
    rsvd3: int

    length: int = 384



class CW_BC_reg(atomic_reg):
    OP_NAME = "CW&BC"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class sCW_sBC_reg(atomic_reg):
    OP_NAME = "sCW&sBC"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("rsvd0", ctypes.c_uint64, 6),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("rsvd1", ctypes.c_uint64, 32),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_res0_prec: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_c: int
    opd0_w: int
    rsvd1: int
    res0_addr: int
    opd0_addr: int

    length: int = 256



class LAR_reg(atomic_reg):
    OP_NAME = "LAR"
    _fields_ = [
        ("opd0_w_str", ctypes.c_uint64, 1),
        ("opd1_w_str", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opd2_n_str", ctypes.c_uint64, 3),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("start_tid", ctypes.c_uint64, 6),
        ("res0_c", ctypes.c_uint64, 8),
        ("res0_w", ctypes.c_uint64, 8),
        ("rsvd0", ctypes.c_uint64, 2),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("rsvd1", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("rsvd2", ctypes.c_uint64, 6),
        ("pwr_step", ctypes.c_uint64, 4),
        ("rsvd3", ctypes.c_uint64, 1),
        ("res0_addr", ctypes.c_uint64, 16),
        ("opd0_addr", ctypes.c_uint64, 16),
        ("opd1_addr", ctypes.c_uint64, 16),
        ("opd2_addr", ctypes.c_uint64, 16),
    ]

    opd0_w_str: int
    opd1_w_str: int
    opt_opd2_const: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opd2_n_str: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    start_tid: int
    res0_c: int
    res0_w: int
    rsvd0: int
    tsk_typ: int
    tsk_eu_typ: int
    rsvd1: int
    tsk_opd_num: int
    rsvd2: int
    pwr_step: int
    rsvd3: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int

    length: int = 128



class SYS_reg(atomic_reg):
    OP_NAME = "SYS"
    _fields_ = [
        ("rsvd0", ctypes.c_uint64, 1),
        ("rsvd1", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("reg_vld", ctypes.c_uint64, 2),
        ("reg_idx", ctypes.c_uint64, 7),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("imm", ctypes.c_uint64, 64),
    ]

    rsvd0: int
    rsvd1: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    reg_vld: int
    reg_idx: int
    pwr_step: int
    intr_en: int
    imm: int

    length: int = 128



class SYSID_reg(atomic_reg):
    OP_NAME = "SYSID"
    _fields_ = [
        ("imm0", ctypes.c_uint64, 32),
        ("reg_idx0", ctypes.c_uint64, 8),
        ("intr_en", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 3),
        ("reg_idx1", ctypes.c_uint64, 8),
        ("reg_idx2", ctypes.c_uint64, 8),
        ("imm1", ctypes.c_uint64, 64),
    ]

    imm0: int
    reg_idx0: int
    intr_en: int
    tsk_typ: int
    tsk_eu_typ: int
    reg_idx1: int
    reg_idx2: int
    imm1: int

    length: int = 128



class SYS_TR_ACC_reg(atomic_reg):
    OP_NAME = "SYS_TR_ACC"
    _fields_ = [
        ("imm0", ctypes.c_uint64, 32),
        ("reg_idx0", ctypes.c_uint64, 8),
        ("intr_en", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 3),
        ("reg_idx1", ctypes.c_uint64, 8),
        ("reg_idx2", ctypes.c_uint64, 8),
        ("imm1", ctypes.c_uint64, 64),
    ]

    imm0: int
    reg_idx0: int
    intr_en: int
    tsk_typ: int
    tsk_eu_typ: int
    reg_idx1: int
    reg_idx2: int
    imm1: int

    length: int = 128



class RAND_reg(atomic_reg):
    OP_NAME = "RAND"
    _fields_ = [
        ("cmd_short", ctypes.c_uint64, 1),
        ("op_code", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 23),
        ("dbg_mode", ctypes.c_uint64, 1),
        ("tsk_typ", ctypes.c_uint64, 4),
        ("tsk_eu_typ", ctypes.c_uint64, 5),
        ("opt_rq", ctypes.c_uint64, 1),
        ("tsk_opd_num", ctypes.c_uint64, 2),
        ("pad_mode", ctypes.c_uint64, 2),
        ("opt_res0_sign", ctypes.c_uint64, 1),
        ("rsvd0", ctypes.c_uint64, 3),
        ("pwr_step", ctypes.c_uint64, 4),
        ("intr_en", ctypes.c_uint64, 1),
        ("opt_res_add", ctypes.c_uint64, 1),
        ("opt_relu", ctypes.c_uint64, 1),
        ("opt_left_tran", ctypes.c_uint64, 1),
        ("opt_opd4_const", ctypes.c_uint64, 1),
        ("opt_kernel_rotate", ctypes.c_uint64, 1),
        ("opt_opd0_sign", ctypes.c_uint64, 1),
        ("opt_opd1_sign", ctypes.c_uint64, 1),
        ("opt_opd2_sign", ctypes.c_uint64, 1),
        ("opt_res0_prec", ctypes.c_uint64, 3),
        ("opt_opd0_prec", ctypes.c_uint64, 3),
        ("opt_opd1_prec", ctypes.c_uint64, 3),
        ("opt_opd2_prec", ctypes.c_uint64, 3),
        ("opt_opd0_const", ctypes.c_uint64, 1),
        ("opt_opd1_const", ctypes.c_uint64, 1),
        ("opt_opd2_const", ctypes.c_uint64, 1),
        ("short_res0_str", ctypes.c_uint64, 3),
        ("short_opd0_str", ctypes.c_uint64, 3),
        ("short_opd1_str", ctypes.c_uint64, 3),
        ("short_opd2_str", ctypes.c_uint64, 3),
        ("opt_res_add_sign", ctypes.c_uint64, 1),
        ("rsvd2", ctypes.c_uint64, 25),
        ("sym_range", ctypes.c_uint64, 1),
        ("opt_opd3_const", ctypes.c_uint64, 1),
        ("opt_opd5_const", ctypes.c_uint64, 1),
        ("opd0_x_ins0", ctypes.c_uint64, 4),
        ("opd0_y_ins0", ctypes.c_uint64, 4),
        ("opd1_x_ins0", ctypes.c_uint64, 4),
        ("opd1_y_ins0", ctypes.c_uint64, 4),
        ("opd0_up_pad", ctypes.c_uint64, 4),
        ("opd0_dn_pad", ctypes.c_uint64, 4),
        ("opd0_lf_pad", ctypes.c_uint64, 4),
        ("opd0_rt_pad", ctypes.c_uint64, 4),
        ("res_op_x_str", ctypes.c_uint64, 4),
        ("res_op_y_str", ctypes.c_uint64, 4),
        ("res0_h_shift", ctypes.c_uint64, 4),
        ("res0_w_shift", ctypes.c_uint64, 4),
        ("opd0_h_shift", ctypes.c_uint64, 4),
        ("opd0_w_shift", ctypes.c_uint64, 4),
        ("opd1_h_shift", ctypes.c_uint64, 4),
        ("opd1_w_shift", ctypes.c_uint64, 4),
        ("tsk_lane_num", ctypes.c_uint64, 64),
        ("res0_n", ctypes.c_uint64, 16),
        ("res0_c", ctypes.c_uint64, 16),
        ("res0_h", ctypes.c_uint64, 16),
        ("res0_w", ctypes.c_uint64, 16),
        ("opd0_n", ctypes.c_uint64, 16),
        ("opd0_c", ctypes.c_uint64, 16),
        ("opd0_h", ctypes.c_uint64, 16),
        ("opd0_w", ctypes.c_uint64, 16),
        ("opd1_n", ctypes.c_uint64, 16),
        ("opd1_c", ctypes.c_uint64, 16),
        ("opd1_h", ctypes.c_uint64, 16),
        ("opd1_w", ctypes.c_uint64, 16),
        ("res0_n_str", ctypes.c_uint64, 16),
        ("res0_c_str", ctypes.c_uint64, 16),
        ("opd0_n_str", ctypes.c_uint64, 16),
        ("opd0_c_str", ctypes.c_uint64, 16),
        ("opd1_n_str", ctypes.c_uint64, 16),
        ("opd1_c_str", ctypes.c_uint64, 16),
        ("opd2_n_str", ctypes.c_uint64, 16),
        ("opd2_c_str", ctypes.c_uint64, 16),
        ("res0_addr", ctypes.c_uint64, 32),
        ("opd0_addr", ctypes.c_uint64, 32),
        ("opd1_addr", ctypes.c_uint64, 32),
        ("opd2_addr", ctypes.c_uint64, 32),
        ("res0_h_str", ctypes.c_uint64, 32),
        ("res0_w_str", ctypes.c_uint64, 32),
        ("opd0_h_str", ctypes.c_uint64, 32),
        ("opd0_w_str", ctypes.c_uint64, 32),
        ("opd1_h_str", ctypes.c_uint64, 32),
        ("opd1_w_str", ctypes.c_uint64, 32),
        ("opd2_h_str", ctypes.c_uint64, 32),
        ("opd2_w_str", ctypes.c_uint64, 32),
        ("res1_addr", ctypes.c_uint64, 32),
        ("opd3_addr", ctypes.c_uint64, 32),
    ]

    cmd_short: int
    op_code: int
    cmd_id_dep: int
    dbg_mode: int
    tsk_typ: int
    tsk_eu_typ: int
    opt_rq: int
    tsk_opd_num: int
    pad_mode: int
    opt_res0_sign: int
    rsvd0: int
    pwr_step: int
    intr_en: int
    opt_res_add: int
    opt_relu: int
    opt_left_tran: int
    opt_opd4_const: int
    opt_kernel_rotate: int
    opt_opd0_sign: int
    opt_opd1_sign: int
    opt_opd2_sign: int
    opt_res0_prec: int
    opt_opd0_prec: int
    opt_opd1_prec: int
    opt_opd2_prec: int
    opt_opd0_const: int
    opt_opd1_const: int
    opt_opd2_const: int
    short_res0_str: int
    short_opd0_str: int
    short_opd1_str: int
    short_opd2_str: int
    opt_res_add_sign: int
    rsvd2: int
    sym_range: int
    opt_opd3_const: int
    opt_opd5_const: int
    opd0_x_ins0: int
    opd0_y_ins0: int
    opd1_x_ins0: int
    opd1_y_ins0: int
    opd0_up_pad: int
    opd0_dn_pad: int
    opd0_lf_pad: int
    opd0_rt_pad: int
    res_op_x_str: int
    res_op_y_str: int
    res0_h_shift: int
    res0_w_shift: int
    opd0_h_shift: int
    opd0_w_shift: int
    opd1_h_shift: int
    opd1_w_shift: int
    tsk_lane_num: int
    res0_n: int
    res0_c: int
    res0_h: int
    res0_w: int
    opd0_n: int
    opd0_c: int
    opd0_h: int
    opd0_w: int
    opd1_n: int
    opd1_c: int
    opd1_h: int
    opd1_w: int
    res0_n_str: int
    res0_c_str: int
    opd0_n_str: int
    opd0_c_str: int
    opd1_n_str: int
    opd1_c_str: int
    opd2_n_str: int
    opd2_c_str: int
    res0_addr: int
    opd0_addr: int
    opd1_addr: int
    opd2_addr: int
    res0_h_str: int
    res0_w_str: int
    opd0_h_str: int
    opd0_w_str: int
    opd1_h_str: int
    opd1_w_str: int
    opd2_h_str: int
    opd2_w_str: int
    res1_addr: int
    opd3_addr: int

    length: int = 1024



class DMA_tensor_0x000__reg(atomic_reg):
    OP_NAME = "DMA_tensor（0x000）"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 16),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("all_reduce_code", ctypes.c_uint64, 16),
        ("Reserved", ctypes.c_uint64, 16),
        ("Reserved", ctypes.c_uint64, 16),
        ("Reserved", ctypes.c_uint64, 16),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_wstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    all_reduce_code: int
    Reserved: int
    Reserved: int
    Reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_matrix_reg(atomic_reg):
    OP_NAME = "DMA_matrix"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("Reserved", ctypes.c_uint64, 32),
        ("Reserved", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_wstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    Reserved: int
    Reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_masked_select_reg(atomic_reg):
    OP_NAME = "DMA_masked_select"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("mask_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 15),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved_31", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize/src_wsize_high", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize/dst_wsize_high", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("mask_start_addr_l32", ctypes.c_uint64, 32),
        ("mask_start_addr_h8", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    mask_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved_31: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_wstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize_src_wsize_high: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize_dst_wsize_high: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    mask_start_addr_l32: int
    mask_start_addr_h8: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768


    @property
    def src_hsize_src_wsize_high(self) -> int:
        return self["src_hsize/src_wsize_high"]
    @property
    def dst_hsize_dst_wsize_high(self) -> int:
        return self["dst_hsize/dst_wsize_high"]

class DMA_general_reg(atomic_reg):
    OP_NAME = "DMA_general"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride(move length)", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("Reserved", ctypes.c_uint64, 32),
        ("Reserved", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride_move_length_: int
    src_hstride: int
    src_wstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    Reserved: int
    Reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768


    @property
    def src_cstride_move_length_(self) -> int:
        return self["src_cstride(move length)"]

class DMA_cw_transpose_reg(atomic_reg):
    OP_NAME = "DMA_cw_transpose"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("Reserved", ctypes.c_uint64, 32),
        ("Reserved", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_wstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    Reserved: int
    Reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_nonzero_reg(atomic_reg):
    OP_NAME = "DMA_nonzero"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("index_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 15),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride（base_i）", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("Reserved", ctypes.c_uint64, 32),
        ("Reserved", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    index_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_wstride: int
    dst_nstride_base_i_: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    Reserved: int
    Reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768


    @property
    def dst_nstride_base_i_(self) -> int:
        return self["dst_nstride（base_i）"]

class sDMA_sys_reg(atomic_reg):
    OP_NAME = "sDMA_sys"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("index", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    index: int
    constant_value: int

    length: int = 128



class DMA_gather_reg(atomic_reg):
    OP_NAME = "DMA_gather"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("index_cstride", ctypes.c_uint64, 32),
        ("start_pos", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 32),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 32),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("index_csize", ctypes.c_uint64, 16),
        ("index_hsize", ctypes.c_uint64, 32),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("index_start_addr_l32", ctypes.c_uint64, 32),
        ("index_start_addr_h13", ctypes.c_uint64, 13),
        ("reserve", ctypes.c_uint64, 19),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_cstride: int
    src_hstride: int
    dst_cstride: int
    dst_hstride: int
    index_cstride: int
    start_pos: int
    reserved: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    index_csize: int
    index_hsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    index_start_addr_l32: int
    index_start_addr_h13: int
    reserve: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_scatter_reg(atomic_reg):
    OP_NAME = "DMA_scatter"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("index_cstride", ctypes.c_uint64, 32),
        ("start_pos", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 32),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 32),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("index_csize", ctypes.c_uint64, 16),
        ("index_hsize", ctypes.c_uint64, 32),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("index_start_addr_l32", ctypes.c_uint64, 32),
        ("index_start_addr_h13", ctypes.c_uint64, 13),
        ("reserve", ctypes.c_uint64, 19),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_cstride: int
    src_hstride: int
    dst_cstride: int
    dst_hstride: int
    index_cstride: int
    start_pos: int
    reserved: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    index_csize: int
    index_hsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    index_start_addr_l32: int
    index_start_addr_h13: int
    reserve: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_reverse_reg(atomic_reg):
    OP_NAME = "DMA_reverse"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("Reserved", ctypes.c_uint64, 32),
        ("Reserved", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_wstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    Reserved: int
    Reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_compress_reg(atomic_reg):
    OP_NAME = "DMA_compress"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("racu_nstride", ctypes.c_uint64, 32),
        ("racu_lanecstride", ctypes.c_uint64, 32),
        ("racu_hstride", ctypes.c_uint64, 32),
        ("meta_nstride", ctypes.c_uint64, 32),
        ("meta_lanecstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("meta_hstride", ctypes.c_uint64, 32),
        ("bias0", ctypes.c_uint64, 8),
        ("bias1", ctypes.c_uint64, 8),
        ("is_sign", ctypes.c_uint64, 1),
        ("zguard", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 14),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("racu_start_addr_l32", ctypes.c_uint64, 32),
        ("racu_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("meta_start_addr_l32", ctypes.c_uint64, 32),
        ("meta_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    racu_nstride: int
    racu_lanecstride: int
    racu_hstride: int
    meta_nstride: int
    meta_lanecstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    meta_hstride: int
    bias0: int
    bias1: int
    is_sign: int
    zguard: int
    reserved: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    racu_start_addr_l32: int
    racu_start_addr_h13: int
    reserved: int
    meta_start_addr_l32: int
    meta_start_addr_h13: int
    reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_decompress__reg(atomic_reg):
    OP_NAME = "DMA_decompress "
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("racu_nstride", ctypes.c_uint64, 32),
        ("racu_lanecstride", ctypes.c_uint64, 32),
        ("racu_hstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("meta_nstride", ctypes.c_uint64, 32),
        ("meta_lanecstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("meta_hstride", ctypes.c_uint64, 32),
        ("bias0", ctypes.c_uint64, 8),
        ("bias1", ctypes.c_uint64, 8),
        ("is_sign", ctypes.c_uint64, 1),
        ("zguard", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 14),
        ("racu_start_addr_l32", ctypes.c_uint64, 32),
        ("racu_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("meta_start_addr_l32", ctypes.c_uint64, 32),
        ("meta_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    racu_nstride: int
    racu_lanecstride: int
    racu_hstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    meta_nstride: int
    meta_lanecstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    meta_hstride: int
    bias0: int
    bias1: int
    is_sign: int
    zguard: int
    reserved: int
    racu_start_addr_l32: int
    racu_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    meta_start_addr_l32: int
    meta_start_addr_h13: int
    reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_lossy_compress_reg(atomic_reg):
    OP_NAME = "DMA_lossy_compress"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 20),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 8),
        ("reserved", ctypes.c_uint64, 8),
        ("reserved", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 14),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("all_reduce_code", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    reserved: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    reserved: int
    reserved: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    reserved: int
    reserved: int
    reserved: int
    reserved: int
    reserved: int
    reserved: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    all_reduce_code: int
    reserved: int
    reserved: int
    reserved: int
    reserved: int

    length: int = 768



class DMA_lossy_decompress_reg(atomic_reg):
    OP_NAME = "DMA_lossy_decompress"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 20),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 8),
        ("reserved", ctypes.c_uint64, 8),
        ("reserved", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 14),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("all_reduce_code", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    reserved: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    reserved: int
    reserved: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    reserved: int
    reserved: int
    reserved: int
    reserved: int
    reserved: int
    reserved: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    all_reduce_code: int
    reserved: int
    reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_randmask_reg(atomic_reg):
    OP_NAME = "DMA_randmask"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_long", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("inter_state", ctypes.c_uint64, 1),
        ("init_seed", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 17),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("Reserved", ctypes.c_uint64, 32),
        ("Reserved", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_long: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    inter_state: int
    init_seed: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_wstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    Reserved: int
    Reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768



class DMA_tansfer_reg(atomic_reg):
    OP_NAME = "DMA_tansfer"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("cmd_short", ctypes.c_uint64, 1),
        ("cache_en", ctypes.c_uint64, 1),
        ("cache_flush", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 23),
        ("Reserved", ctypes.c_uint64, 3),
        ("cmd_type", ctypes.c_uint64, 5),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 20),
        ("cmd_id_dep", ctypes.c_uint64, 21),
        ("reserved", ctypes.c_uint64, 2),
        ("break_point", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 8),
        ("constant_value", ctypes.c_uint64, 32),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_wstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_wstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 16),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 16),
        ("dst_wsize", ctypes.c_uint64, 16),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("Reserved", ctypes.c_uint64, 32),
        ("Reserved", ctypes.c_uint64, 32),
        ("localmem_mask_l32", ctypes.c_uint64, 32),
        ("localmem_mask_h32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    cmd_short: int
    cache_en: int
    cache_flush: int
    reserved: int
    Reserved: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    reserved: int
    cmd_id_dep: int
    reserved: int
    break_point: int
    reserved: int
    constant_value: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_wstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_wstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_l32: int
    dst_start_addr_h13: int
    reserved: int
    Reserved: int
    Reserved: int
    localmem_mask_l32: int
    localmem_mask_h32: int

    length: int = 768

class CDMA_send_reg(atomic_reg):
    OP_NAME = "CDMA_send"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("breakpoint", ctypes.c_uint64, 1),
        ("cmd_type", ctypes.c_uint64, 4),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        # ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("psum_op", ctypes.c_uint64, 3),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 32),
        ("src_wsize", ctypes.c_uint64, 32),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    breakpoint: int
    cmd_type: int
    cmd_special_function: int
    reserved: int
    src_data_format: int
    src_start_addr_h13: int
    psum_op: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    src_start_addr_l32: int

    length: int = 256

class CDMA_read_reg(atomic_reg):
    OP_NAME = "CDMA_read"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("breakpoint", ctypes.c_uint64, 1),
        ("cmd_type", ctypes.c_uint64, 4),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 3),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 32),
        ("src_wsize", ctypes.c_uint64, 32),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 32),
        ("dst_wsize", ctypes.c_uint64, 32),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    breakpoint: int
    cmd_type: int
    cmd_special_function: int
    reserved: int
    src_data_format: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_h13: int
    reserved: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    dst_start_addr_l32: int

    length: int = 512

class CDMA_write_reg(atomic_reg):
    OP_NAME = "CDMA_write"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("breakpoint", ctypes.c_uint64, 1),
        ("cmd_type", ctypes.c_uint64, 4),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("fill_constant_en", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 3),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 32),
        ("src_wsize", ctypes.c_uint64, 32),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 32),
        ("dst_wsize", ctypes.c_uint64, 32),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    breakpoint: int
    cmd_type: int
    cmd_special_function: int
    fill_constant_en: int
    src_data_format: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_h13: int
    reserved: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    src_wsize: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    src_start_addr_l32: int
    dst_start_addr_l32: int

    length: int = 512


class CDMA_general_reg(atomic_reg):
    OP_NAME = "CDMA_general"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("rcv_intr_en", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 1),
        ("breakpoint", ctypes.c_uint64, 1),
        ("cmd_type", ctypes.c_uint64, 4),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 3), # 32bit
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reserved", ctypes.c_uint64, 19),
        ("cmd_length", ctypes.c_uint64, 32),
        ("src_start_addr_l32", ctypes.c_uint64, 32), # constant_value
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
    ]

    intr_en: int
    rcv_intr_en: int
    reserved: int
    breakpoint: int
    cmd_type: int
    cmd_special_function: int
    reserved: int
    src_data_format: int
    src_start_addr_h13: int
    reserved: int
    dst_start_addr_h13: int
    reserved: int
    cmd_length: int
    src_start_addr_l32: int
    dst_start_addr_l32: int
    reserved: int
    reserved: int
    reserved: int

    length: int = 256

class CDMA_receive_reg(atomic_reg):
    OP_NAME = "CDMA_receive"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 1),
        ("breakpoint", ctypes.c_uint64, 1),
        ("cmd_type", ctypes.c_uint64, 4),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 5),
        ("dst_start_addr_h13", ctypes.c_uint64, 13),
        ("reduce_op", ctypes.c_uint64, 3), # 32bit
        ("dst_nstride", ctypes.c_uint64, 32),
        ("dst_cstride", ctypes.c_uint64, 32),
        ("dst_hstride", ctypes.c_uint64, 32),
        ("dst_nsize", ctypes.c_uint64, 16),
        ("dst_csize", ctypes.c_uint64, 16),
        ("dst_hsize", ctypes.c_uint64, 32),
        ("dst_wsize", ctypes.c_uint64, 32),
        ("dst_start_addr_l32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    reserved: int
    breakpoint: int
    cmd_type: int
    cmd_special_function: int
    reserved: int
    dst_start_addr_h13: int
    reduce_op: int
    dst_nstride: int
    dst_cstride: int
    dst_hstride: int
    dst_nsize: int
    dst_csize: int
    dst_hsize: int
    dst_wsize: int
    dst_start_addr_l32: int

    length: int = 256


class CDMA_lossy_compress_reg(atomic_reg):
    OP_NAME = "CDMA_lossy_compress"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("breakpoint", ctypes.c_uint64, 1),
        ("cmd_type", ctypes.c_uint64, 4),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reduce_op", ctypes.c_uint64, 3), # 32bit
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 32),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    breakpoint: int
    cmd_type: int
    cmd_special_function: int
    reserved: int
    src_data_format: int
    src_start_addr_h13: int
    reduce_op: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    reserved: int
    src_wsize: int
    reserved: int
    src_start_addr_l32: int

    length: int = 256


class CDMA_lossy_decompress_reg(atomic_reg):
    OP_NAME = "CDMA_lossy_decompress"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("nchw_copy", ctypes.c_uint64, 1),
        ("breakpoint", ctypes.c_uint64, 1),
        ("cmd_type", ctypes.c_uint64, 4),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 1),
        ("src_data_format", ctypes.c_uint64, 4),
        ("src_start_addr_h13", ctypes.c_uint64, 13),
        ("reduce_op", ctypes.c_uint64, 3), # 32bit
        ("src_nstride", ctypes.c_uint64, 32),
        ("src_cstride", ctypes.c_uint64, 32),
        ("src_hstride", ctypes.c_uint64, 32),
        ("src_nsize", ctypes.c_uint64, 16),
        ("src_csize", ctypes.c_uint64, 16),
        ("src_hsize", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 16),
        ("src_wsize", ctypes.c_uint64, 32),
        ("src_start_addr_l32", ctypes.c_uint64, 32),
    ]

    intr_en: int
    stride_enable: int
    nchw_copy: int
    breakpoint: int
    cmd_type: int
    cmd_special_function: int
    reserved: int
    src_data_format: int
    src_start_addr_h13: int
    reduce_op: int
    src_nstride: int
    src_cstride: int
    src_hstride: int
    src_nsize: int
    src_csize: int
    src_hsize: int
    reserved: int
    src_wsize: int
    reserved: int
    src_start_addr_l32: int

    length: int = 256


class sCDMA_sys_reg(atomic_reg):
    OP_NAME = "sCDMA_sys"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("stride_enable", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 2),
        ("cmd_type", ctypes.c_uint64, 4),
        ("cmd_special_function", ctypes.c_uint64, 3),
        ("reserved", ctypes.c_uint64, 21), # 32bit
        ("constant_value_l32", ctypes.c_uint64, 32),
        ("constant_value_h32", ctypes.c_uint64, 32),
        ("reg_sel", ctypes.c_uint64, 4),
        ("reserved", ctypes.c_uint64, 28),
    ]

    intr_en: int
    stride_enable: int
    reserved: int
    cmd_type: int
    cmd_special_function: int
    reserved: int
    constant_value_l32: int
    constant_value_h32: int
    reg_sel: int
    reserved: int

    length: int = 128

class CDMA_tcp_send_reg(atomic_reg):
    OP_NAME = "CDMA_tcp_send"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("own", ctypes.c_uint64, 1),
        ("FD", ctypes.c_uint64, 1),
        ("LD", ctypes.c_uint64, 1),
        ("cmd_type", ctypes.c_uint64, 4),
        ("buffer_length", ctypes.c_uint64, 16),
        ("breakpoint", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 7), # 32bit
        ("frame_length", ctypes.c_uint64, 16),
        ("reserved", ctypes.c_uint64, 16),
        ("buffer_addr_l32", ctypes.c_uint64, 32),
        ("buffer_addr_h13", ctypes.c_uint64, 8),
        ("cmd_id", ctypes.c_uint64, 24),
    ]

    intr_en: int
    own: int
    FD: int
    LD: int
    cmd_type: int
    buffer_length: int
    breakpoint: int
    reserved: int
    frame_length: int
    reserved: int
    buffer_addr_l32: int
    buffer_addr_h13: int
    cmd_id: int

    length: int = 128

class CDMA_tcp_rcv_reg(atomic_reg):
    OP_NAME = "CDMA_tcp_rcv"
    _fields_ = [
        ("intr_en", ctypes.c_uint64, 1),
        ("own", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 2),
        ("cmd_type", ctypes.c_uint64, 4),
        ("buffer_length", ctypes.c_uint64, 16),
        ("breakpoint", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 7), # 32bit
        ("reserved", ctypes.c_uint64, 32),
        ("buffer_addr_l32", ctypes.c_uint64, 32),
        ("buffer_addr_h13", ctypes.c_uint64, 8),
        ("cmd_id", ctypes.c_uint64, 24),
    ]

    intr_en: int
    own: int
    reserved: int
    cmd_type: int
    buffer_length: int
    breakpoint: int
    reserved: int
    reserved: int
    buffer_addr_l32: int
    buffer_addr_h13: int
    cmd_id: int

    length: int = 128

class CDMA_tcp_send_wb_reg(atomic_reg):
    OP_NAME = "CDMA_tcp_send_wb"
    _fields_ = [
        ("DERR", ctypes.c_uint64, 1),
        ("own", ctypes.c_uint64, 1),
        ("FD", ctypes.c_uint64, 1),
        ("LD", ctypes.c_uint64, 1),
        ("reserved", ctypes.c_uint64, 28), # 32bit
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
    ]

    DERR: int
    own: int
    FD: int
    LD: int
    reserved: int
    reserved: int
    reserved: int
    reserved: int

    length: int = 128

class CDMA_tcp_rcv_wb_reg(atomic_reg):
    OP_NAME = "CDMA_tcp_rcv_wb"
    _fields_ = [
        ("reserved", ctypes.c_uint64, 1),
        ("own", ctypes.c_uint64, 1),
        ("FD", ctypes.c_uint64, 1),
        ("LD", ctypes.c_uint64, 1),
        ("MAC_filter_status", ctypes.c_uint64, 18),
        ("reserved", ctypes.c_uint64, 10), # 32bit
        ("packet_status", ctypes.c_uint64, 9),
        ("error_summary", ctypes.c_uint64, 1),
        ("packet_length", ctypes.c_uint64, 14),
        ("reserved", ctypes.c_uint64, 8),
        ("reserved", ctypes.c_uint64, 32),
        ("reserved", ctypes.c_uint64, 32),
    ]

    reserved: int
    own: int
    FD: int
    LD: int
    MAC_filter_status: int
    reserved: int
    packet_status: int
    error_summary: int
    packet_length: int
    reserved: int
    reserved: int
    reserved: int

    length: int = 128


op_class_dic: Dict[str, Type[atomic_reg]] = {

    "CONV": CONV_reg,
    "sCONV": sCONV_reg,
    "CONV_BW": CONV_BW_reg,
    "sCONV_BW": sCONV_BW_reg,
    "MM": MM_reg,
    "sMM": sMM_reg,
    "MM2": MM2_reg,
    "sMM2": sMM2_reg,
    "CMP": CMP_reg,
    "sCMP": sCMP_reg,
    "SFU": SFU_reg,
    "sSFU": sSFU_reg,
    "VC": VC_reg,
    "sVC": sVC_reg,
    "LIN": LIN_reg,
    "sLIN": sLIN_reg,
    "AR": AR_reg,
    "sAR": sAR_reg,
    "PorD": PorD_reg,
    "sPorD": sPorD_reg,
    "RQ&DQ": RQ_DQ_reg,
    "sRQ&sDQ": sRQ_sDQ_reg,
    "SG": SG_reg,
    "sSG": sSG_reg,
    "SGL": SGL_reg,
    "sSGL": sSGL_reg,
    "CW&BC": CW_BC_reg,
    "sCW&sBC": sCW_sBC_reg,
    "LAR": LAR_reg,
    "SYS": SYS_reg,
    "SYSID": SYSID_reg,
    "SYS_TR_ACC": SYS_TR_ACC_reg,
    "RAND": RAND_reg,
    "DMA_tensor（0x000）": DMA_tensor_0x000__reg,
    "DMA_matrix": DMA_matrix_reg,
    "DMA_masked_select": DMA_masked_select_reg,
    "DMA_general": DMA_general_reg,
    "DMA_cw_transpose": DMA_cw_transpose_reg,
    "DMA_nonzero": DMA_nonzero_reg,
    "sDMA_sys": sDMA_sys_reg,
    "DMA_gather": DMA_gather_reg,
    "DMA_scatter": DMA_scatter_reg,
    "DMA_reverse": DMA_reverse_reg,
    "DMA_compress": DMA_compress_reg,
    "DMA_decompress ": DMA_decompress__reg,
    "DMA_lossy_compress": DMA_lossy_compress_reg,
    "DMA_lossy_decompress": DMA_lossy_decompress_reg,
    "DMA_randmask": DMA_randmask_reg,
    "DMA_tansfer": DMA_tansfer_reg,
    "CDMA_send": CDMA_send_reg,
    "CDMA_read": CDMA_read_reg,
    "CDMA_write": CDMA_write_reg,
    "CDMA_general": CDMA_general_reg,
    "CDMA_receive": CDMA_receive_reg,
    "CDMA_lossy_compress": CDMA_lossy_compress_reg,
    "CDMA_lossy_decompress": CDMA_lossy_decompress_reg,
    "sCDMA_sys": sCDMA_sys_reg,
    "CDMA_tcp_send": CDMA_tcp_send_reg,
    "CDMA_tcp_rcv": CDMA_tcp_rcv_reg,
    # "CDMA_tcp_send_wb": CDMA_tcp_send_wb_reg,
    # "CDMA_tcp_rcv_wb": CDMA_tcp_rcv_wb_reg,
}
